LinuxQMISDK: slqsSignalStrengthInfo Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
slqsSignalStrengthInfo Struct Reference

## Data Fields
USHORT | signalStrengthReqMask
USHORT | rxSignalStrengthListLen
struct rxSignalStrengthListElement | rxSignalStrengthList [18]
USHORT | ecioListLen
struct ecioListElement | ecioList [18]
ULONG | Io
BYTE | sinr
USHORT | errorRateListLen
struct errorRateListElement | errorRateList [18]
struct rsrqInformation | rsrqInfo

## Detailed Description

This structure contains the Signal Strength Information

Parameters

  rfInfoReqMask | Request Mask Request additional signal information for: Bit 0 – RSSI Information bit Valid values are: 0 – Do Not Request Additional Info for RSSI 1 – Request Additional Info for RSSI Bit 1 – ECIO Information bit Valid values are: 0 – Do Not Request Additional Info for ECIO 1 – Request Additional Info for ECIO Bit 2 – IO Information bit Valid values are: 0 – Do Not Request Additional Info for IO 1 – Request Additional Info for IO Bit 3 – SINR Information bit Valid values are: 0 – Do Not Request Additional Info for SINR 1 – Request Additional Info for SINR Bit 4 – ERROR RATE Information bit Valid values are: 0 – Do Not Request Additional Info for Error Rate 1 – Request Additional Info for Error Rate Bit 5 – RSRQ Information bit Valid values are: 0 – Do Not Request Additional Info for RSRQ 1 – Request Additional Info for RSRQ
  rxSignalStrengthListLen | Number of elements in Receive Signal Strength List
  rxSignalStrengthList | See rxSignalStrengthListElement for more information
  ecioListLen | Number of elements in ECIO List
  ecioList | See ecioListElement for more information
  Io | Received Io in dBm; IO is only applicable for 1xEV-DO
  sinr | SINR level SINR is only applicable for 1xEV-DO; valid levels are 0 to 8 where maximum value for 0 – SINR_LEVEL_0 is -9 dB 1 – SINR_LEVEL_1 is -6 dB 2 – SINR_LEVEL_2 is -4.5 dB 3 – SINR_LEVEL_3 is -3 dB 4 – SINR_LEVEL_4 is -2 dB 5 – SINR_LEVEL_5 is +1 dB 6 – SINR_LEVEL_6 is +3 dB 7 – SINR_LEVEL_7 is +6 dB 8 – SINR_LEVEL_8 is +9 dB
  errorRateListLen | Number of elements in Error Rate List
  errorRateList | See errorRateListElement for more information
  rsrqInfo | See rsrqInformation for more information

## Field Documentation

struct ecioListElement slqsSignalStrengthInfo::ecioList[18]

USHORT slqsSignalStrengthInfo::ecioListLen

struct errorRateListElement slqsSignalStrengthInfo::errorRateList[18]

USHORT slqsSignalStrengthInfo::errorRateListLen

ULONG slqsSignalStrengthInfo::Io

struct rsrqInformation slqsSignalStrengthInfo::rsrqInfo

struct rxSignalStrengthListElement slqsSignalStrengthInfo::rxSignalStrengthList[18]

USHORT slqsSignalStrengthInfo::rxSignalStrengthListLen

USHORT slqsSignalStrengthInfo::signalStrengthReqMask

BYTE slqsSignalStrengthInfo::sinr